<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnRfqSuppliersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rfq_suppliers', function (Blueprint $table) {
          $table->date('delivery_date')->nullable();
          $table->string('kind_attention')->nullable();
          $table->bigInteger('payment_term_id')->nullable()->unsigned();
          $table->foreign('payment_term_id')->references('id')->on('payment_terms');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
